import { useEffect, useState, useRef } from "react";
import DataGrid from "./DataGrid";
import "./App.scss"; //
import "antd/dist/antd.css";

const App = (props) => {
  const [result, setResult] = useState();

  const fetchData = async () => {
    const response = await fetch("http://localhost:5008/member/data");
    const data = await response.json();

    setResult(data);
  };

  useEffect(() => {
    fetchData();
  }, []);

  return (
    <div>
      {result && (
        <DataGrid result={result} fetchData={fetchData} setResult={setResult} />
      )}
    </div>
  );
};

export default App;
