import React, { Fragment, useState } from "react";
import { BryntumGrid } from "@bryntum/grid-react";
import "./DataGrid.css";
import fieldProperties from "./getEditor";
import renderers from "./Renderer/Renderers";

const DataGrid = ({ result }) => {
  const gridData = result.data;

  let columns = result.columns;
  let column = columns.map((ele) => {
    const column = {
      ...ele,
    };
    if (ele.editor) {
      column["editor"] = fieldProperties[ele.editor.type].gridEditor;
    }
    if (ele.renderer) {
      column["renderer"] = renderers[ele.renderer];
    }

    return column;
  });

  const config = {
    features: {},
    autoHeight: true,
    columns: {
      data: [...column],
    },
    data: gridData,
    listeners: {
      finishCellEdit: () => {
        console.log("finishCellEdit called");
      },
    },
  };

  return (
    <Fragment>
      <BryntumGrid {...config} />
    </Fragment>
  );
};

export default DataGrid;
