import { GlobalEvents } from "@bryntum/grid";
import { Select } from "antd";
import "antd/dist/antd.css";
import React, { Component, Fragment } from "react";

const { Option } = Select;

export default class AntSelect extends Component {
  constructor(props) {
    // console.log(props);
    super(props);
    this.state = {
      options: [],
    };
  }
  state = { value: "" };

  componentDidMount() {
    const optionsResponse = async () => {
      const response = await fetch(this.props.url);
      const data = await response.json();
      // console.log("data", data);
      this.setState({
        options: data,
      });
    };
    optionsResponse();
  }

  getValue() {
    return this.state.value;
  }

  setValue(value) {
    this.setState({ value: value });
  }

  isValid() {
    return true;
  }

  focus() {}

  onChangeHandler(value, dropdown) {
    const editor = this.props.instance.features.cellEdit.editor;
    const { record, dataField } = editor;
    record["projectType_text"] = dropdown.label;
  }

  render() {
    return (
      <Select
        showSearch
        mode={this.props.mode}
        value={this.state.value}
        onChange={this.onChangeHandler.bind(this)}
        options={this.state.options}
      ></Select>
    );
  }
}
