import React, { Component } from "react";
import { DatePicker } from "antd";
import moment from "moment";
import { GlobalEvents } from "@bryntum/grid";

export default class DateField extends Component {
  state = { value: "" };

  getValue() {
    return this.state.value;
  }

  setValue(value) {
    this.setState({ value });
  }

  isValid() {
    return true;
  }

  focus() {
    GlobalEvents.suspendEvents();
  }

  onChangeHandler(value, dateString) {
    const editor = this.props.instance.features.cellEdit.editor;
    const { record, dataField } = editor;
    this.setValue({ ...record[dataField], text: dateString });
  }

  render() {
    return (
      <DatePicker
        allowClear={false}
        value={moment(this.state.value?.text, "YYYY/MM/DD")}
        onChange={this.onChangeHandler.bind(this)}
      />
    );
  }
}
