import React, { Component } from "react";
import { Input } from "antd";
export default class TextEditor extends Component {
  constructor(props) {
    super(props);
    this.state = {
      value: {},
    };
  }

  getValue() {
    return this.state.value;
  }

  setValue(value) {
    this.setState({ value: value });
  }

  isValid() {
    return true;
  }

  focus() {}

  onChangeHandler(e) {
    const editor = this.props.instance.features.cellEdit.editor;
    const { record, dataField } = editor;
    record[dataField] = {
      ...record[dataField],
      text: e.target.value,
    };
    this.setValue(record[dataField]);
  }

  render() {
    return (
      <Input
        value={this.state.value?.text}
        onChange={this.onChangeHandler.bind(this)}
      />
    );
  }
}
